## drp 1.0

=== Makefile ===
DRPLIB = libdrp.a
FFTLIB = libfft.a
PLLIB = ./PLPLOT/lib/libplplotf.a

# LINUX definitions

CC = gcc
CFLAGS   = -c -g -O2 -Wall -Wno-aggressive-loop-optimizations -Dunix -ansi -DLINUX -D_XOPEN_SOURCE
LDFLAGS  = -g $(DRPLIB) -lm
XINCLUDE = -I/usr/X11R6/include
XLIBRARY = -L/usr/X11R6/lib
INSTALL  = /usr/bin/install -c

prefix=/usr
exec_prefix=${prefix}
bindir=$(DESTDIR)${exec_prefix}/share/drp
exedir=$(DESTDIR)${exec_prefix}/bin
fontdir=$(DESTDIR)${exec_prefix}/local/plplot
mandir=$(DESTDIR)$(prefix)/share/man/man1

commands=accum area average bad baseline bias bintable box \
         calc centre clg clip convolve correlate cube \
         data drop drpwindow dump fft filter fitscube fitsmap fold \
         gauss get getfits \
         hardcopy header inquire list mapshow mapview modify moment \
         pixel put putfits redres reshow reverse \
         scale show showfit smooth subtract swap \
         taufit tcopy temp twplot viewport zero

utilities=byteswap convex2ieee getants getcfits getdrsp getsest \
          ieee2convex line noise putants putcfits putdrsp putmatlab

ALL: $(commands) $(utilities)

UTILITIES: $(utilities)

accum: accum.o $(DRPLIB)
	$(CC) accum.o -o accum $(LDFLAGS)
area: area.o $(DRPLIB) 
	$(CC) area.o -o area $(LDFLAGS)
average: average.o $(DRPLIB)
	$(CC) average.o -o average $(LDFLAGS)
bad: bad.o $(DRPLIB)
	$(CC) bad.o -o bad $(LDFLAGS)
bandpass: bandpass.o $(DRPLIB)
	$(CC) bandpass.o -o bandpass $(LDFLAGS)
base: base.o $(DRPLIB)
	$(CC) base.o -o base $(LDFLAGS)
baseline: baseline.o solve.o $(DRPLIB)
	$(CC) baseline.o solve.o -o baseline $(LDFLAGS)
bias: bias.o $(DRPLIB)
	$(CC) bias.o -o bias $(LDFLAGS)
bintable: bintable.o fits.o $(DRPLIB)
	$(CC) bintable.o fits.o -o bintable $(LDFLAGS)
box: box.o options.o xwin.o plmeta.o $(DRPLIB)
	$(CC) box.o options.o xwin.o plmeta.o \
	-o box $(XLIBRARY) $(PLLIB) -lX11 $(LDFLAGS)
byteswap: byteswap.o $(DRPLIB)
	$(CC) byteswap.o -o byteswap $(LDFLAGS)
calc: calc.o $(DRPLIB)  
	$(CC) calc.o -o calc $(LDFLAGS)
centre: centre.o $(DRPLIB)  
	$(CC) centre.o -o centre $(LDFLAGS)
clg: clg.o options.o xwin.o plmeta.o
	$(CC) clg.o options.o xwin.o plmeta.o \
	-o clg $(XLIBRARY) $(PLLIB) -lm -lX11
clip: clip.o $(DRPLIB)  
	$(CC) clip.o -o clip $(LDFLAGS)
convex2ieee: convex2ieee.o $(DRPLIB)  
	$(CC) convex2ieee.o -o convex2ieee $(LDFLAGS)
convolve: convolve.o $(FFTLIB) $(DRPLIB)  
	$(CC) convolve.o -o convolve $(FFTLIB) $(LDFLAGS)
correlate: correlate.o $(FFTLIB) $(DRPLIB)  
	$(CC) correlate.o -o correlate $(FFTLIB) $(LDFLAGS)
cube: cube.o fits.o showcube.o xwin.o plmeta.o $(DRPLIB)
	$(CC) cube.o fits.o showcube.o xwin.o plmeta.o \
	-o cube $(XLIBRARY) $(PLLIB) -lX11 $(LDFLAGS)
data: data.o $(DRPLIB)  
	$(CC) data.o -o data $(LDFLAGS)
drop: drop.o $(DRPLIB)  
	$(CC) drop.o -o drop $(LDFLAGS)
drpwindow: drpwindow.o $(DRPLIB)
	$(CC) drpwindow.o -o drpwindow  $(DRPLIB) $(XLIBRARY) -lX11 -lm
dump: dump.o $(DRPLIB)  
	$(CC) dump.o -o dump $(LDFLAGS)
fft: fft.o $(FFTLIB) $(DRPLIB)  
	$(CC) fft.o -o fft $(FFTLIB) $(LDFLAGS)
filter: filter.o solve.o $(FFTLIB) $(DRPLIB) 
	$(CC) filter.o solve.o -o filter $(FFTLIB) $(LDFLAGS)
fitscube: fitscube.o fits.o $(DRPLIB)
	$(CC) fitscube.o fits.o -o fitscube $(LDFLAGS)
fitsmap: fitsmap.o fits.o $(DRPLIB)
	$(CC) fitsmap.o fits.o -o fitsmap $(LDFLAGS)
fold: fold.o $(DRPLIB)
	$(CC) fold.o -o fold  $(LDFLAGS)
gauss: gauss.o marquardt.o $(DRPLIB)
	$(CC) gauss.o marquardt.o -o gauss $(LDFLAGS)
get: get.o $(DRPLIB)
	$(CC) get.o -o get $(LDFLAGS)
getants: getants.o dfil.a $(DRPLIB)
	$(CC) getants.o -o getants dfil.a $(LDFLAGS)
getcfits: getcfits.o cfits.o $(DRPLIB)
	$(CC) getcfits.o cfits.o -o getcfits $(LDFLAGS)
getdrsp: getdrsp.o $(DRPLIB)
	$(CC) getdrsp.o -o getdrsp $(LDFLAGS)
getfits: getfits.o fits.o $(DRPLIB)
	$(CC) getfits.o fits.o -o getfits $(LDFLAGS)
getpc: getpc.o $(DRPLIB)
	$(CC) getpc.o -o getpc $(LDFLAGS)
getsest: getsest.o hp2ieee.o $(DRPLIB)
	$(CC) getsest.o hp2ieee.o -o getsest $(LDFLAGS)
hardcopy: hardcopy.o options.o plmeta.o
	$(CC) hardcopy.o options.o plmeta.o \
	   -o hardcopy $(XLIBRARY) $(PLLIB) -lm -lX11
header: header.o angle.o $(DRPLIB) 
	$(CC) header.o angle.o -o header $(LDFLAGS)
ieee2convex: ieee2convex.o $(DRPLIB)  
	$(CC) ieee2convex.o -o ieee2convex $(LDFLAGS)
inquire: inquire.o $(DRPLIB)
	$(CC) inquire.o -o inquire $(XLIBRARY) -lX11 $(LDFLAGS)
line: line.o $(DRPLIB)
	$(CC) line.o -o line $(LDFLAGS)
list: list.o angle.o $(DRPLIB)
	$(CC) list.o angle.o -o list $(LDFLAGS)
liszt: liszt.o $(DRPLIB)
	$(CC) liszt.o -o liszt $(LDFLAGS)
mapshow: mapshow.o scanlog.o contour.o grey.o xwin.o plmeta.o $(DRPLIB)
	$(CC) mapshow.o scanlog.o contour.o grey.o xwin.o plmeta.o \
	-o mapshow $(XLIBRARY) $(PLLIB) -lX11 $(LDFLAGS)
mapview: mapview.o $(DRPLIB) 
	$(CC) mapview.o -o mapview $(LDFLAGS)
modify: modify.o $(DRPLIB)
	$(CC) modify.o -o modify $(LDFLAGS)
moment: moment.o $(DRPLIB) 
	$(CC) moment.o -o moment $(LDFLAGS)
noise: noise.o $(DRPLIB)
	$(CC) noise.o -o noise $(LDFLAGS)
pixel: pixel.o $(DRPLIB) 
	$(CC) pixel.o -o pixel $(LDFLAGS)
put: put.o $(DRPLIB)
	$(CC) put.o -o put $(LDFLAGS)
putants: putants.o dfil.a $(DRPLIB)
	$(CC) putants.o -o putants dfil.a $(LDFLAGS)
putcfits: putcfits.o cfits.o $(DRPLIB) 
	$(CC) putcfits.o cfits.o -o putcfits $(LDFLAGS)
putdrsp: putdrsp.o $(DRPLIB)
	$(CC) putdrsp.o -o putdrsp $(LDFLAGS)
putfits: putfits.o fits.o $(DRPLIB) 
	$(CC) putfits.o fits.o -o putfits $(LDFLAGS)
putmatlab: putmatlab.o $(DRPLIB)
	$(CC) putmatlab.o -o putmatlab $(LDFLAGS)
redres: redres.o $(DRPLIB)
	$(CC) redres.o -o redres $(LDFLAGS)
recentre: recentre.o $(DRPLIB)
	$(CC) recentre.o -o recentre $(LDFLAGS)
reshow: reshow.o options.o xwin.o
	$(CC) reshow.o options.o xwin.o \
	-o reshow $(XLIBRARY) $(PLLIB) -lm -lX11
reverse: reverse.o $(DRPLIB)
	$(CC) reverse.o -o reverse $(LDFLAGS)
scale: scale.o $(DRPLIB)
	$(CC) scale.o -o scale $(LDFLAGS)
show: show.o spect.o angle.o xwin.o plmeta.o $(DRPLIB)
	$(CC) show.o spect.o angle.o xwin.o plmeta.o \
	-o show $(XLIBRARY) $(PLLIB) -lX11 $(LDFLAGS)
showfit: showfit.o plfit.o xwin.o plmeta.o $(DRPLIB)
	$(CC) showfit.o plfit.o xwin.o plmeta.o \
	-o showfit $(XLIBRARY) $(PLLIB) -lX11 $(LDFLAGS)
smooth: smooth.o $(DRPLIB)
	$(CC) smooth.o -o smooth $(LDFLAGS)
subtract: subtract.o $(DRPLIB)
	$(CC) subtract.o -o subtract $(LDFLAGS)
swap: swap.o $(DRPLIB)
	$(CC) swap.o -o swap $(LDFLAGS)
taufit: taufit.o $(DRPLIB)
	$(CC) taufit.o solve.o -o taufit $(LDFLAGS)
tcopy: tcopy.o $(DRPLIB)
	$(CC) tcopy.o -o tcopy $(LDFLAGS)
temp: temp.o $(DRPLIB)
	$(CC) temp.o -o temp $(LDFLAGS)
twplot: twplot.o scatter.o xwin.o plmeta.o $(DRPLIB)
	$(CC) twplot.o scatter.o xwin.o plmeta.o \
	-o twplot $(XLIBRARY) $(PLLIB) -lX11 $(LDFLAGS)
user: user.o astronomy.o $(DRPLIB)
	$(CC) user.o -o user astronomy.o $(LDFLAGS)
viewport: viewport.o $(DRPLIB)
	$(CC) viewport.o -o viewport $(LDFLAGS)
zero: zero.o $(DRPLIB)
	$(CC) zero.o -o zero $(LDFLAGS)

scan: scan.o astronomy.o $(DRPLIB)
	$(CC) scan.o -o scan astronomy.o $(LDFLAGS)
mul: mul.o astronomy.o $(DRPLIB)
	$(CC) mul.o -o mul astronomy.o $(LDFLAGS)


dfil.a: dfil.o
	ar r dfil.a dfil.o
	ranlib dfil.a

libfft.a: libfft.o
	ar r libfft.a libfft.o
	ranlib libfft.a

libdrp.a: getput.o convert.o options.o error.o radian.o
	ar r libdrp.a getput.o convert.o options.o error.o radian.o
	ranlib libdrp.a

average.o area.o \
bandpass.o base.o baseline.o bias.o \
calc.o centre.o clip.o contour.o convert.o convolve.o correlate.o cotex.o \
cube.o \
data.o drop.o drp.o dump.o \
filter.o fitscube.o fitsmap.o fits.o fft.o fold.o \
gauss.o get.o getants.o getfits.o getpc.o getsest.o \
hanning.o hardcopy.o header.o \
inquire.o \
line.o listhead.o list.o liszt.o \
mapshow.o mapview.o modify.o noise.o \
pixel.o put.o putdrsp.o putfits.o putmatlab.o \
ratio.o redres.o recentre.o reshow.o reverse.o\
scale.o scanlog.o scatter.o show.o showcube.o showfit.o smooth.o spect.o \
subtract.o swap.o \
tarscan.o tcopy.o temp.o twplot.o \
user.o \
viewport.o scan.o mul.o \
zero.o: drp.h

drpwindow.o: drpwindow.c shmcom.h
	$(CC) $(CFLAGS) $(XINCLUDE) drpwindow.c

cfits.o cube.o fits.o fitsmap.o fitscube.o \
getcfits.o getfits.o putcfits.o putfits.o : fits.h

getants.o putants.o: dfil.h

getput.o: getput.c drp.h shmcom.h
	$(CC) $(CFLAGS) getput.c

inquire.o: inquire.c
	$(CC) $(CFLAGS) $(XINCLUDE) inquire.c

options.o: options.c options.h

plmeta.o: plmeta.c 
	$(CC) $(CFLAGS) -DPLMETA plmeta.c

xwin.o: xwin.c 
	$(CC) $(CFLAGS) $(XINCLUDE) -DXWIN xwin.c

install:
	mkdir -p $(fontdir)
	$(INSTALL) -m 644 PLPLOT/fonts/plstnd4.fnt $(fontdir)
	$(INSTALL) -m 644 PLPLOT/fonts/plxtnd4.fnt $(fontdir)
	mkdir -p $(exedir)
	$(INSTALL) -m 755 drp $(exedir)
	mkdir -p $(bindir)
	$(INSTALL) -m 755 $(commands) $(bindir)
	$(INSTALL) -m 755 $(utilities) $(bindir)

clean:
	rm -f *.o *.a *~ #*# core
	cd PLPLOT; $(MAKE) clean; cd ..
	rm -f $(commands)
	rm -f $(utilities)

distclean: clean
	rm -fvR debian/drp

=== PLPLOT/Makefile ===
#----------------------------------------------------------------------#
#
# Makefile for PLPLOT on Unix-type systems.
# Maurice LeBrun, IFS, University of Texas, Mar 1, 1991.
#
# The available output devices are controlled by the PLDEVICES variable,
# a list of defines for the C preprocessor (affecting only dispatch.c).
# When installing plplot you may wish to exclude devices not present
# on your system in order to reduce screen clutter.  The default setting
# is to include all supported devices.
# 
# Other notes:
#
# 1. The font locating code looks in the following places for the fonts:
#
#	current directory
#	$(HOME)/lib/
#	$(PLFONTS)
#	PLFONTDEV1	(/usr/local/lib/)
#	PLFONTDEV2	(/usr/local/lib/plplot/)
#	PLFONTDEV3	(/usr/local/plplot/)
#
#    It is recommended that you store the fonts in a local directory during
#    installation.  When you have verified the package works as expected,
#    simply move the fonts to the appropriate system directory and then all
#    users will have access to the fonts (no recompilation necessary).  If
#    none of the three given hardwired locations is satisfactory, you can
#    change it by passing in your desired location on the build line for
#    plfont.c (done separately for this purpose), e.g.
#
#	FONTFLAG= '-DPLFONTDEV1="/usr/lib/plplot/"'
#
#    (quotes and trailing slash required).
#
#----------------------------------------------------------------------#
# Generic macros for make.  If any of these do not fit your particular
# system, add the appropriate defines in a section for your system.

# Directory structure.  Note most of these aren't used at present.
# See right before rule declaration for plot library specifications.

PLLIB_DIR	= ../PLPLOT/lib
PLFNT_DIR	= ../PLPLOT/fonts
PLLIB_PATH	= $(PLLIB_DIR)/
PLFNT_PATH	= $(PLFNT_DIR)/
FONTFLAG	=

SYS_LIBS=

DBL_FLAG_C	=
DBL_FLAG_F      =
PLLIB_MAIN	= $(PLLIB_PATH)libplplotf.a


PLLIB_C		= $(PLLIB_MAIN)
PLLIB_F		= $(PLLIB_MAIN)
PLLIB_LDC	= $(PLLIB_C)

# Compiler/linker macros.
# These are pretty generic to many unix systems and may work as-is.
# The device list represents all system-independent output devices.
# (i.e. not specifically requiring a particular CPU)

CC	= gcc
CFLAGS	= -c -Dunix -DSTUB_LAU $(DBL_FLAG_C)
F77	= f77
FFLAGS	= -c $(DBL_FLAG_F)
LDC	= $(CC)
LDCFLAGS= -lm -lX11
LDF	= $(F77)
LDFFLAGS= -lm -lX11
LN	= ln -s
TO	= -o
STARTUP =

PLDEVICES = -DPLMETA -DXTERM -DXWIN -DTEK -DDG300 -DPS -DXFIG \
	    -DLJII -DHP7470 -DHP7580 -DIMP

#----------------------------------------------------------------------#
# System specific defines.
#
# Define appropriate STUB_ flag to enable proper C<->Fortran linkage
# See plstubs.h, you may have to modify for your system.
# Current choices:
#	STUB_LAU	lower-case, append underscore
#	STUB_L		lower-case
#
# If no choice is made, stubs remain unaltered (upper case).


#----------------------------------------------------------------------#
#		HP-UX definitions
# CC  = c89
# F77 = f77
# CFLAGS    = -c -O -Dunix -DSTUB_L $(DBL_FLAG_C) -DHPUX -D_HPUX_SOURCE
# FFLAGS    = -c $(DBL_FLAG_F)
# XINCLUDE  = -I/usr/include/X11R5
# LDCFLAGS  = -L/usr/lib/X11R5 -lm -lX11 -g
# LDFFLAGS  = /usr/lib/X11R5/libX11.a -lm -g
# PLDEVICES = -DXTERM -DXWIN -DPLMETA -DTEK -DXFIG -DPS

#----------------------------------------------------------------------#
#	SUNOS definitions (also good for Ultrix 4.3)
#
# CC        = gcc
# F77       = f77
# CFLAGS    = -c -ansi -Dunix -DSTUB_LAU -Dsun $(DBL_FLAG_C) 
# FFLAGS    = -c $(DBL_FLAG_F)
# XINCLUDE  = -I/usr/openwin/include
# LDCFLAGS  = -L/usr/openwin/lib -lm -lX11
# LDFFLAGS  = -L/usr/openwin/lib -lm -lX11
# PLDEVICES = -DPLMETA -DXTERM -DXWIN -DTEK -DPS -DXFIG

#----------------------------------------------------------------------#
#	LINUX definitions 
#
CC        = gcc
F77       = f77
CFLAGS    = -c -Dunix -ansi -O2 $(DBL_FLAG_C)
FFLAGS    = -c $(DBL_FLAG_F)
LDCFLAGS  = -ansi -lm -L/usr/X11R6/lib -lX11
LDFFLAGS  = -lm -L/usr/X11R6/lib -lX11
PLDEVICES = -DPLMETA -DXTERM -DXWIN -DTEK -DPS -DXFIG

#----------------------------------------------------------------------#
# Object file macros
# Main sources.

OBJ =	\
	base.o \
	convert.o \
	genlin.o \
	move.o \
	pladv.o \
	plaxes.o \
	plbeg.o \
	plbin.o \
	plbox.o \
	plbox3.o \
	plccal.o \
	plcntr.o \
	plcol.o \
	plcont.o \
	plconf.o \
	pldtik.o \
	plend.o \
	plenv.o \
	plerr.o \
	plexit.o \
	plfill.o \
	plfont.o \
	plform.o \
	plgra.o \
	plgrid3.o \
	plgspa.o \
	plhist.o \
	pljoin.o \
	pllab.o \
	pllclp.o \
	plline.o \
	plarea.o \
	pllsty.o \
	plmesh.o \
	plmtex.o \
	plnxtv.o \
	plot3d.o \
	plpat.o \
	plpsty.o \
	plptex.o \
	plrot.o \
	plsdef.o \
	plside3.o \
	plstar.o \
	plstyl.o \
	plsvpa.o \
	plsym.o \
	plt3zz.o \
	pltick.o \
	plvasp.o \
	plvpas.o \
	plvpor.o \
	plvsta.o \
	plw3d.o \
	plwid.o \
	plwind.o \
	plxybx.o \
	plzbx.o \
	string.o 

# Drivers

DRIVERS_OBJ = \
	dg300.o \
	dispatch.o \
	hp7470.o \
	hp7580.o \
	impress.o \
	ljii.o \
	next.o \
	ps.o \
	tek.o \
	plmeta.o \
	pdfutils.o \
	xfig.o \
	xwin.o \
	xterm.o

# Support files for font generators.

FONT_OBJ = \
	font01.o \
	font02.o \
	font03.o \
	font04.o \
	font05.o \
	font06.o \
	font07.o \
	font08.o \
	font09.o \
	font10.o \
	font11.o

# C language stubs for linking Plplot to Fortran.

CSTUB_OBJ = \
	long2str.o \
	sc3d.o \
	scconf.o \
	scstubs.o

# Fortran language stubs for linking Plplot to Fortran.

FSTUB_OBJ = \
	islen.o \
	sfstubs.o \
	str2int.o

# System-specific files.

# Amiga

AMIGA_OBJ = \
	aegis.o \
	amiwn.o \
	amipr.o \
	iff.o \
	plmenu.o \
	plprefs.o \
	plsupport.o \
	plwindow.o 

#----------------------------------------------------------------------#
# Rules
# Placed here to ensure all macros are defined.

.c.o:
	$(CC) $(CFLAGS) $*.c
.f.o:
	$(F77) $(FFLAGS) $*.f

#----------------------------------------------------------------------#
# Targets
# The default is to make all the object libraries.
# You can make everything (except demos) by typing 'make everything'
# but you must create the links ('make links') beforehand.

default: libs
everything: libs fonts plrender pltek

libs:	$(PLLIB_MAIN)

#----------------------------------------------------------------------#
# Plot libraries.
#
# Note -- don't use link libraries but ar libraries instead.
# Link libraries cause lots of grief on some systems because often (reason
# unknown) a structure that needs to be initialized is not (happens on 
# A/IX, VMS).  Fortunately package is reasonably small, especially if
# you compile with debugging off.


$(PLLIB_MAIN):	$(OBJ) $(DRIVERS_OBJ) $(CSTUB_OBJ) $(FSTUB_OBJ)
	-rm -f $(PLLIB_MAIN)
	ar q $(PLLIB_MAIN) $(OBJ) $(DRIVERS_OBJ) $(CSTUB_OBJ) $(FSTUB_OBJ)
	ranlib $(PLLIB_MAIN)

#----------------------------------------------------------------------#
# Font files.
# Note 6 font files actually created.
# sfont - standard font
# xfont - extended fonts

fonts:	sfont xfont

sfont:	$(PLFNT_DIR)/plstnd.fnt
xfont:	$(PLFNT_DIR)/plxtnd.fnt

$(PLFNT_DIR)/plstnd.fnt: stndfont.o $(FONT_OBJ)
	$(LDC) -o stndfont stndfont.o $(FONT_OBJ) $(LDCFLAGS)
	-./stndfont
	mv *.fnt $(PLFNT_DIR)

$(PLFNT_DIR)/plxtnd.fnt: xtndfont.o $(FONT_OBJ)
	$(LDC) -o xtndfont xtndfont.o $(FONT_OBJ) $(LDCFLAGS)
	-./xtndfont
	mv *.fnt $(PLFNT_DIR)

#----------------------------------------------------------------------#
# Explicit rules
#
# plfont.c may have font flags passed in

plfont.o:	plfont.c
	$(CC) $(CFLAGS) $(FONTFLAG) plfont.c

# dispatch.c and all the drivers need to know $(PLDEVICES).  The guts
# of the driver routine are not compiled if its name is not present in
# the device list.  You may want to leave drivers for specific systems
# (Amiga, MS-DOS, OS/2, etc) out of this list.

dispatch.o:	dispatch.c
	$(CC) $(CFLAGS) $(PLDEVICES) dispatch.c

dg300.o:	dg300.c
	$(CC) $(CFLAGS) $(PLDEVICES) dg300.c

hp7470.o:	hp7470.c
	$(CC) $(CFLAGS) $(PLDEVICES) hp7470.c

hp7580.o:	hp7580.c
	$(CC) $(CFLAGS) $(PLDEVICES) hp7580.c

impress.o:	impress.c
	$(CC) $(CFLAGS) $(PLDEVICES) impress.c

ljii.o:	ljii.c
	$(CC) $(CFLAGS) $(PLDEVICES) ljii.c

next.o:	next.c
	$(CC) $(CFLAGS) $(PLDEVICES) next.c

ps.o:	ps.c
	$(CC) $(CFLAGS) $(PLDEVICES) ps.c

tek.o:	tek.c
	$(CC) $(CFLAGS) $(PLDEVICES) tek.c

plmeta.o:	plmeta.c
	$(CC) $(CFLAGS) $(PLDEVICES) plmeta.c

xfig.o:	xfig.c
	$(CC) $(CFLAGS) $(PLDEVICES) xfig.c

xwin.o:	xwin.c
	$(CC) $(CFLAGS) $(PLDEVICES) $(XINCLUDE) xwin.c

xterm.o:	xterm.c
	$(CC) $(CFLAGS) $(PLDEVICES) xterm.c

#----------------------------------------------------------------------#
# Utility programs.

pltek:	pltek.o
	$(LDC) $(STARTUP) pltek.o $(PLLIB_LDC) $(TO) $@ $(LDCFLAGS)

plrender: plrender.o 
	$(LDC) $(STARTUP) plrender.o $(PLLIB_LDC) $(TO) $@ $(LDCFLAGS)

#----------------------------------------------------------------------#
# Example programs, in c.

CDEMOS= x01c x02c x03c x04c x05c x06c x07c x08c x09c x10c x11c \
	x12c x13c x14c tutor

cdemos:	$(CDEMOS)

x01c:	x01c.o $(PLLIB_C)
	$(LDC) $(STARTUP) x01c.o $(PLLIB_LDC) $(TO) $@ $(LDCFLAGS)

x02c:	x02c.o $(PLLIB_C)
	$(LDC) $(STARTUP) x02c.o $(PLLIB_LDC) $(TO) $@ $(LDCFLAGS)

x03c:	x03c.o $(PLLIB_C)
	$(LDC) $(STARTUP) x03c.o $(PLLIB_LDC) $(TO) $@ $(LDCFLAGS)

x04c:	x04c.o $(PLLIB_C)
	$(LDC) $(STARTUP) x04c.o $(PLLIB_LDC) $(TO) $@ $(LDCFLAGS)

x05c:	x05c.o $(PLLIB_C)
	$(LDC) $(STARTUP) x05c.o $(PLLIB_LDC) $(TO) $@ $(LDCFLAGS)

x06c:	x06c.o
	$(LDC) $(STARTUP) x06c.o $(PLLIB_LDC) $(TO) $@ $(LDCFLAGS)

x07c:	x07c.o $(PLLIB_C)
	$(LDC) $(STARTUP) x07c.o $(PLLIB_LDC) $(TO) $@ $(LDCFLAGS)

x08c:	x08c.o $(PLLIB_C)
	$(LDC) $(STARTUP) x08c.o $(PLLIB_LDC) $(TO) $@ $(LDCFLAGS)

x09c:	x09c.o $(PLLIB_C)
	$(LDC) $(STARTUP) x09c.o $(PLLIB_LDC) $(TO) $@ $(LDCFLAGS)

x10c:	x10c.o $(PLLIB_C)
	$(LDC) $(STARTUP) x10c.o $(PLLIB_LDC) $(TO) $@ $(LDCFLAGS)

x11c:	x11c.o $(PLLIB_C)
	$(LDC) $(STARTUP) x11c.o $(PLLIB_LDC) $(TO) $@ $(LDCFLAGS)

x12c:	x12c.o $(PLLIB_C)
	$(LDC) $(STARTUP) x12c.o $(PLLIB_LDC) $(TO) $@ $(LDCFLAGS)

x13c:	x13c.o $(PLLIB_C)
	$(LDC) $(STARTUP) x13c.o $(PLLIB_LDC) $(TO) $@ $(LDCFLAGS)

x14c:	x14c.o $(PLLIB_C)
	$(LDC) $(STARTUP) x14c.o $(PLLIB_LDC) $(TO) $@ $(LDCFLAGS)

tutor:	tutor.o $(PLLIB_C)
	$(LDC) $(STARTUP) tutor.o $(PLLIB_LDC) $(TO) $@ $(LDCFLAGS)

#----------------------------------------------------------------------#
# Example programs, in Fortran.

FDEMOS = x01f x02f x03f x04f x05f x06f x07f x08f x09f x10f x11f x12f x13f

fdemos:	$(FDEMOS)

x01f:	x01f.o $(PLLIB_F)
	$(LDF) x01f.o $(PLLIB_F) $(TO) $@ $(LDFFLAGS)

x02f:	x02f.o $(PLLIB_F)
	$(LDF) x02f.o $(PLLIB_F) $(TO) $@ $(LDFFLAGS)

x03f:	x03f.o $(PLLIB_F)
	$(LDF) x03f.o $(PLLIB_F) $(TO) $@ $(LDFFLAGS)

x04f:	x04f.o $(PLLIB_F)
	$(LDF) x04f.o $(PLLIB_F) $(TO) $@ $(LDFFLAGS)

x05f:	x05f.o $(PLLIB_F)
	$(LDF) x05f.o $(PLLIB_F) $(TO) $@ $(LDFFLAGS)

x06f:	x06f.o $(PLLIB_F)
	$(LDF) x06f.o $(PLLIB_F) $(TO) $@ $(LDFFLAGS)

x07f:	x07f.o $(PLLIB_F)
	$(LDF) x07f.o $(PLLIB_F) $(TO) $@ $(LDFFLAGS)

x08f:	x08f.o $(PLLIB_F)
	$(LDF) x08f.o $(PLLIB_F) $(TO) $@ $(LDFFLAGS)

x09f:	x09f.o $(PLLIB_F)
	$(LDF) x09f.o $(PLLIB_F) $(TO) $@ $(LDFFLAGS)

x10f:	x10f.o $(PLLIB_F)
	$(LDF) x10f.o $(PLLIB_F) $(TO) $@ $(LDFFLAGS)

x11f:	x11f.o $(PLLIB_F)
	$(LDF) x11f.o $(PLLIB_F) $(TO) $@ $(LDFFLAGS)

x12f:	x12f.o $(PLLIB_F)
	$(LDF) x12f.o $(PLLIB_F) $(TO) $@ $(LDFFLAGS)

x13f:	x13f.o $(PLLIB_F)
	$(LDF) x13f.o $(PLLIB_F) $(TO) $@ $(LDFFLAGS)

#----------------------------------------------------------------------#
# First time only, should be executed from $(PLTMP_DIR)


links:
	$(LN) \
		../src/*.c \
		../src/stubc/*.c \
		../src/stubf/*.f \
		../utils/*.c \
		../fonts/*.c \
		../include/*.h \
		../drivers/*.c \
		../examples/C/*.c \
		../examples/f77/*.f \
		.




clean:
	-rm -f *.o
	-rm -f lib/*.a stndfont xtndfont fonts/*.fnt
	-rm -f $(CDEMOS) $(FDEMOS) *.plm* *.tek*

=== debian/changelog ===
drp (1.0-2) UNRELEASED; urgency=medium

  * new version with larger number of channels; fix in drp script

 -- Michael Olberg <michael.olberg@chalmers.se>  Fri, 02 Sep 2016 13:59:34 +0200

drp (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Michael Olberg <michael.olberg@chalmers.se>  Fri, 25 Aug 2016 15:23:15 +0200

=== debian/control ===
Source: drp
Section: science
Priority: optional
Maintainer: Michael Olberg <michael.olberg@chalmers.se>
Build-Depends: debhelper (>= 7), libx11-dev
Standards-Version: 3.9.5

Package: drp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: data reduction of radioastronomical spectral line data
 A program to reduce radio-astronomical spectral line data. Support 
 for various input formats, e.g. FITS.
 .
 The program uses plain X11 as the graphical user interface toolkit.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -I/usr/include/pgplot5

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
	# Add here commands to compile the package.
	cd PLPLOT; $(MAKE) fonts; $(MAKE) libs; cd ..
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	cd PLPLOT; $(MAKE) clean; cd ..
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/drp.
	$(MAKE) install prefix=$(CURDIR)/debian/drp/usr


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
